> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Project Member

> 
Grant a user access to the project with a specified role. Requires project admin role.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/members
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/members:
    post:
      tags:
        - Configuration
      summary: Add Project Member
      description: >-

        Grant a user access to the project with a specified role. Requires
        project admin role.
      operationId: post_add_member
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                user_id:
                  format: uuid
                  title: User Id
                  type: string
                project_role_name:
                  $ref: '#/components/schemas/ProjectRoleName'
              required:
                - user_id
                - project_role_name
              title: AddMemberRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties: {}
                title: EmptyResponse
                type: object
          description: EmptyResponse()
components:
  schemas:
    ProjectRoleName:
      enum:
        - Project Admin
        - Project Editor
        - Project Analyst
      title: ProjectRoleName
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````